Bug 1348939 (CVE-2016-4995)

Summary: CVE-2016-4995 foreman: Information disclosure in provisioning template previews
Product: [Other] Security Response Reporter: Andrej Nemec <anemec>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: apevec, bkearney, cbillett, ceph-eng-bugs, chrisw, cvsbot-xmlrpc, jjoyce, jmatthew, jschluet, lhh, lpeer, markmc, mburns, mmccune, ohadlevy, rbryant, satellite6-bugs, sclewis, sisharma, srevivo, tdecacqu, tlestach, tsanders
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in foreman's handling of template previews. An attacker with permissions to preview host templates can access the template preview for any host if they are able to guess the host name, disclosing potentially sensitive information.
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-10-21 00:53:35 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1359469, 1370882    
Bug Blocks: 1348941, 1432305    

Description Andrej Nemec 2016-06-22 11:05:45 UTC
Dominic Cleal of Red Hat reports:

Users who are logged in with permissions to view some hosts are able to
preview provisioning templates for any host by specifying its hostname
in the URL, as the specific view_hosts permissions and filters aren't
checked. If the organization or location features are enabled, the user
will still be restricted to their associated orgs/locs.

This can disclose configuration information about the host, including
root password hashes if used in preseed/kickstart templates.

Upstream bug:

http://projects.theforeman.org/issues/15490

Proposed patch:

https://github.com/theforeman/foreman/pull/2428

Comment 3 Kurt Seifried 2017-07-13 01:01:00 UTC
Acknowledgments:

Name: Dominic Cleal (Red Hat)

Comment 5 errata-xmlrpc 2018-02-21 12:27:31 UTC
This issue has been addressed in the following products:

  Red Hat Satellite 6.3 for RHEL 7

Via RHSA-2018:0336 https://access.redhat.com/errata/RHSA-2018:0336